<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:20 PST 2021 -->
<title>TopLevelDomain (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TopLevelDomain (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TopLevelDomain.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/util/domain/DomainSuffixes.html" title="class in org.apache.nutch.util.domain"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.Type.html" title="enum in org.apache.nutch.util.domain"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/util/domain/TopLevelDomain.html" target="_top">Frames</a></li>
<li><a href="TopLevelDomain.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.nutch.util.domain.DomainSuffix">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.util.domain</div>
<h2 title="Class TopLevelDomain" class="title">Class TopLevelDomain</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">org.apache.nutch.util.domain.DomainSuffix</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.util.domain.TopLevelDomain</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TopLevelDomain</span>
extends <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></pre>
<div class="block">(From wikipedia) A top-level domain (TLD) is the last part of an Internet
 domain name; that is, the letters which follow the final dot of any domain
 name. For example, in the domain name <code>www.website.com</code>, the
 top-level domain is <code>com</code>.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Enis Soztutar &lt;enis.soz.nutch@gmail.com&gt;</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://www.iana.org/"> iana.org</a>, 
<a href="http://en.wikipedia.org/wiki/Top-level_domain">
      Top-level_domain</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.Type.html" title="enum in org.apache.nutch.util.domain">TopLevelDomain.Type</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.apache.nutch.util.domain.DomainSuffix">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.apache.nutch.util.domain.<a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></h3>
<code><a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.Status.html" title="enum in org.apache.nutch.util.domain">DomainSuffix.Status</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.util.domain.DomainSuffix">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.nutch.util.domain.<a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></h3>
<code><a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html#DEFAULT_BOOST">DEFAULT_BOOST</a>, <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html#DEFAULT_STATUS">DEFAULT_STATUS</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.html#TopLevelDomain-java.lang.String-org.apache.nutch.util.domain.DomainSuffix.Status-float-java.lang.String-">TopLevelDomain</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;domain,
              <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.Status.html" title="enum in org.apache.nutch.util.domain">DomainSuffix.Status</a>&nbsp;status,
              float&nbsp;boost,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;countryName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.html#TopLevelDomain-java.lang.String-org.apache.nutch.util.domain.TopLevelDomain.Type-org.apache.nutch.util.domain.DomainSuffix.Status-float-">TopLevelDomain</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;domain,
              <a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.Type.html" title="enum in org.apache.nutch.util.domain">TopLevelDomain.Type</a>&nbsp;type,
              <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.Status.html" title="enum in org.apache.nutch.util.domain">DomainSuffix.Status</a>&nbsp;status,
              float&nbsp;boost)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.html#getCountryName--">getCountryName</a></span>()</code>
<div class="block">Returns the country name if TLD is Country Code TLD</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.Type.html" title="enum in org.apache.nutch.util.domain">TopLevelDomain.Type</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.nutch.util.domain.DomainSuffix">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.nutch.util.domain.<a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></h3>
<code><a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html#getBoost--">getBoost</a>, <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html#getDomain--">getDomain</a>, <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html#getStatus--">getStatus</a>, <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TopLevelDomain-java.lang.String-org.apache.nutch.util.domain.TopLevelDomain.Type-org.apache.nutch.util.domain.DomainSuffix.Status-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TopLevelDomain</h4>
<pre>public&nbsp;TopLevelDomain(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;domain,
                      <a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.Type.html" title="enum in org.apache.nutch.util.domain">TopLevelDomain.Type</a>&nbsp;type,
                      <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.Status.html" title="enum in org.apache.nutch.util.domain">DomainSuffix.Status</a>&nbsp;status,
                      float&nbsp;boost)</pre>
</li>
</ul>
<a name="TopLevelDomain-java.lang.String-org.apache.nutch.util.domain.DomainSuffix.Status-float-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TopLevelDomain</h4>
<pre>public&nbsp;TopLevelDomain(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;domain,
                      <a href="../../../../../org/apache/nutch/util/domain/DomainSuffix.Status.html" title="enum in org.apache.nutch.util.domain">DomainSuffix.Status</a>&nbsp;status,
                      float&nbsp;boost,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;countryName)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.Type.html" title="enum in org.apache.nutch.util.domain">TopLevelDomain.Type</a>&nbsp;getType()</pre>
</li>
</ul>
<a name="getCountryName--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getCountryName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCountryName()</pre>
<div class="block">Returns the country name if TLD is Country Code TLD</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>country name or null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TopLevelDomain.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/util/domain/DomainSuffixes.html" title="class in org.apache.nutch.util.domain"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/util/domain/TopLevelDomain.Type.html" title="enum in org.apache.nutch.util.domain"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/util/domain/TopLevelDomain.html" target="_top">Frames</a></li>
<li><a href="TopLevelDomain.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.nutch.util.domain.DomainSuffix">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
